> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Schedule

> Create (or upsert) a recurring SEO audit for a brand the caller owns.



## OpenAPI

````yaml /openapi.json post /api/v1/seo-analyst/schedules
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/seo-analyst/schedules:
    post:
      tags:
        - SEO Analyst
        - SEO Analyst
      summary: Create Schedule
      description: Create (or upsert) a recurring SEO audit for a brand the caller owns.
      operationId: create_schedule_api_v1_seo_analyst_schedules_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/app__api__routes__seo_analyst__ScheduleCreateRequest
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    app__api__routes__seo_analyst__ScheduleCreateRequest:
      properties:
        brand_id:
          type: string
          format: uuid
          title: Brand Id
        cadence:
          type: string
          enum:
            - daily
            - weekly
            - monthly
          title: Cadence
        platform:
          anyOf:
            - type: string
            - type: 'null'
          title: Platform
      type: object
      required:
        - brand_id
        - cadence
      title: ScheduleCreateRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````